-- how much time the seq enqueues spend in waiting:
select TOTAL_REQ#, TOTAL_WAIT#, SUCC_REQ#, FAILED_REQ#, CUM_WAIT_TIME
from v$enqueue_statistics
where EQ_TYPE = 'SQ';
-- To get the latch information
select gets, misses, sleeps, wait_time, spin_gets
from v$latch
where name = 'sequence cache';
-- to get the segment stats on SEQ$
select statistic_name, value
from v$segment_statistics
where owner = 'SYS'
and object_name = 'SEQ$'
and value > 0;
