set echo on
set pau "Press ENTER to continue ..."
prompt Create the table
create table sales
(
    SALES_TRANS_ID NUMBER not null,
CUSTOMER_ID NUMBER(2),
PRODUCT_ID CHAR(10),
PRICE NUMBER(10,2),
QUANTITY NUMBER(5),
COMMENTS VARCHAR2(20)
)
/
pau
prompt
prompt Populate the table
declare 
	i 	number;
	j	number;
	k 	number := 0;
begin
	for i in 1..60 loop
		for j in 1..10000 loop
			k := k + 1;
			insert into sales values
			(
				k,
				i,
				'D'||mod(i,20),
				dbms_random.value(1000000,2000000),
				dbms_random.value(1,10),
				'INITIAL'
			);
		end loop;
	end loop;
end;
/
pau
prompt Check the number of blocks
prompt
select blocks
from user_segments
where segment_name = 'SALES'
/
pau
select dbms_rowid.rowid_block_number(rowid) Block#, count(1)
from sales
group by dbms_rowid.rowid_block_number(rowid)
/
pau
