select instance, class, sum(cr_block), sum(cr_busy), sum(cr_congested),
    sum(current_block), sum(current_busy), sum(current_congested)
from  (
    select instance,
    case when class in ('data block', 'undo header', 'undo block')
            then class else 'Others'
    end as class,
    cr_block, cr_busy, cr_congested,
    current_block, current_busy, current_congested
    from  v$instance_cache_transfer
    where ((cr_block + cr_busy + cr_congested + current_block +
 current_busy + current_congested) > 0)
)
group by instance, class
/
